- UID
- 124967
- 积分
- 180
- 精华
- 贡献
-
- 威望
-
- 活跃度
-
- D豆
-
- 在线时间
- 小时
- 注册时间
- 2004-4-14
- 最后登录
- 1970-1-1
|
发表于 2005-3-26 08:43:50
|
显示全部楼层
extern "C" Acad::ErrorStatus
acedGetCurrentSelectionSet(
AcDbObjectIdArray& sset);
sset Output filled in with object IDs of all objects in current selection set
This function fills sset in with the object IDs of all entities in the current selection set within AutoCAD.
The "current selection set" may be one of the following: a pickfirst set, a selection set selected by the select command or any other command that does a selection (that is, similar to the "Previous" selection option), or the most recent set from an ssget.
If a pickfirst set is available it will always be used. If no pickfirst set is available, then whichever of the other two types is available will be used. If both of the other two types are available, then whichever was most recently created will be used.
If a pickfirst selection set is "selected" by a call to this function, then the entity highlighting and grips will disappear just as they would when any AutoCAD command uses a pickfirst selection set.
If an ssget type of selection is "selected" by a call to this function, then sset will essentially be a copy of the selection set and the original ssget selection set will still be valid.
Only certain AutoCAD commands create a selection set that can be found by acdbGetCurrentSelectionSet(). These commands are listed below:
ACISOUT AMECONVERT ARRAY ATTEXT AUDIT
BHATCH BMPOUT CHANGE CHPROP CONVERT
CONVERTPOLY COPY COPYCLIP CUTCLIP DIVIDE
DVIEW DXFOUT (partial) ERASE EXPLODE EXTEND
EXTRUDE GROUP HATCH HIDE INTERFERE
INTERSECT LIST MASSPROP MEASURE MIRROR
MOVE MVIEW OOPS PEDIT REGION
REVOLVE ROTATE SCALE SECTION SELECT
SLICE SPELL SPLINE STLOUT STRETCH
SUBTRACT TRIM UNION VPVIS WBLOCK
WMFOUT XCLIP
Note that the OOPS command, a Button 1 down on selected entity, and an implied move, within and across documents, also sets the selection set.
selection set 是选择集,只有以上列出的一些命令可以产生选择集,entity selection 是选择实体,很多交互式命令都要求选择实体,比如创建组,要求选择实体。 |
|